<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetNextWorkflow Method (IEdmWorkflowMgr6)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmWorkflowMgr6 Interface : GetNextWorkflow Method (IEdmWorkflowMgr6)

Visual Basic
C#
C++/CLI

poPos
  IEdmPos5; position of the next workflow in the list

Gets the next workflow in an enumeration.

# Syntax

Visual Basic |
--- | ---

    Function GetNextWorkflow( _
       ByVal poPos As IEdmPos5 _
    ) As IEdmWorkflow6

C# |
--- | ---

    IEdmWorkflow6 GetNextWorkflow(
       IEdmPos5 poPos
    )

C++/CLI |
--- | ---

    IEdmWorkflow6^ GetNextWorkflow(
    &   IEdmPos5^ poPos
    )

#### Parameters

poPos
  IEdmPos5; position of the next workflow in the list

#### Return Value

IEdmWorkflow6

# Example

See the IEdmWorkflowMgr6 examples.

# Remarks

Before calling this method the first time, you must populate poPos with the interface to the position of the first workflow in the list, IEdmPos5. Call IEdmWorkflowMgr6::GetFirstWorkflowPosition to obtain poPos.

After calling this method the first time, poPos is automatically incremented every time it is called. Call this method repeatedly to obtain the rest of the workflows in the list.

Be sure to call IEdmPos5::IsNull before you call this method to ensure you have not reached the end of the enumeration.

C++ users not using smart-pointer wrapper functions must release the returned interface, IEdmWorkflow6.

Return codes:

- S_OK: The method successfully executed.
- E_EDM_END_OF_LIST: You have gone past the end of the list.

# See Also

####

IEdmWorkflowMgr6 Interface
IEdmWorkflowMgr6 Members

# Availability

SOLIDWORKS PDM Professional Version 6.0